/* Copyright (C) 2022 The Qt Company Ltd.
 *
 * SPDX-License-Identifier: GPL-3.0-only WITH Qt-GPL-exception-1.0
*/

#pragma once

#define DAEMON_VERSION_MAJOR     "2"
#define DAEMON_VERSION_MINOR     "1.0"
#define DAEMON_VERSION           DAEMON_VERSION_MAJOR "." DAEMON_VERSION_MINOR
#define LICD_SERVICE_DESCRIPTION "Qt Licensing service"
#define COPYRIGHT_TEXT           "Copyright (C) 2022 The Qt Company Ltd"

// Let the client versions be the same at this point:
#define QTLICENSETOOL_VERSION_MAJOR   DAEMON_VERSION_MAJOR
#define QTLICENSETOOL_VERSION_MINOR   DAEMON_VERSION_MINOR
#define QTLICENSETOOL_VERSION         QTLICENSETOOL_VERSION_MAJOR "." QTLICENSETOOL_VERSION_MINOR

#define MOCWRAPPER_VERSION_MAJOR      DAEMON_VERSION_MAJOR
#define MOCWRAPPER_VERSION_MINOR      DAEMON_VERSION_MINOR
#define MOCWRAPPER_VERSION            MOCWRAPPER_VERSION_MAJOR "." MOCWRAPPER_VERSION_MINOR
